WRWelshRugbyPicsWelsh sport captured
Recent Years Print orders FAQs Contact
Recent Years Print orders FAQs Contact
Recent/April 2019/27 Apr 2019

Taibach RFC v Birchgrove RFC

19 photographs Huw Evans Saturday
Prints from £8 Order prints
270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central -  Birchgrove RFC in action against Taibach RFC 001
CDF_270419_PB_Taibach_v_Birchgrove_01.JPG · Huw Evans270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central - Birchgrove RFC in action against Taibach RFC
270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central -  Birchgrove RFC in action against Taibach RFC 002
CDF_270419_PB_Taibach_v_Birchgrove_02.JPG · Huw Evans270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central - Birchgrove RFC in action against Taibach RFC
270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central -  Birchgrove RFC in action against Taibach RFC 003
CDF_270419_PB_Taibach_v_Birchgrove_03.JPG · Huw Evans270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central - Birchgrove RFC in action against Taibach RFC
270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central -  Birchgrove RFC in action against Taibach RFC 004
CDF_270419_PB_Taibach_v_Birchgrove_04.JPG · Huw Evans270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central - Birchgrove RFC in action against Taibach RFC
270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central -  Birchgrove RFC in action against Taibach RFC 005
CDF_270419_PB_Taibach_v_Birchgrove_05.JPG · Huw Evans270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central - Birchgrove RFC in action against Taibach RFC
270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central -  Birchgrove RFC in action against Taibach RFC 006
CDF_270419_PB_Taibach_v_Birchgrove_06.JPG · Huw Evans270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central - Birchgrove RFC in action against Taibach RFC
270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central -  Birchgrove RFC in action against Taibach RFC 007
CDF_270419_PB_Taibach_v_Birchgrove_07.JPG · Huw Evans270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central - Birchgrove RFC in action against Taibach RFC
270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central -  Birchgrove RFC players celebrate winning the trophy 008
CDF_270419_PB_Taibach_v_Birchgrove_08.JPG · Huw Evans270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central - Birchgrove RFC players celebrate winning the trophy
270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central -  Phil Thomas from the WRU presents Scott Beard captain of Birchgrove a Rose Bowl trophy 009
CDF_270419_PB_Taibach_v_Birchgrove_09.JPG · Huw Evans270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central - Phil Thomas from the WRU presents Scott Beard captain of Birchgrove a Rose Bowl trophy
270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central -  Phil Thomas from the WRU presents Scott Beard captain of Birchgrove a Rose Bowl trophy 010
CDF_270419_PB_Taibach_v_Birchgrove_10.JPG · Huw Evans270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central - Phil Thomas from the WRU presents Scott Beard captain of Birchgrove a Rose Bowl trophy
270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central -  Phil Thomas from the WRU presents Scott Beard captain of Birchgrove a Rose Bowl trophy 011
CDF_270419_PB_Taibach_v_Birchgrove_11.JPG · Huw Evans270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central - Phil Thomas from the WRU presents Scott Beard captain of Birchgrove a Rose Bowl trophy
270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central -  Phil Thomas from the WRU presents Scott Beard captain of Birchgrove a Rose Bowl trophy 012
CDF_270419_PB_Taibach_v_Birchgrove_12.JPG · Huw Evans270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central - Phil Thomas from the WRU presents Scott Beard captain of Birchgrove a Rose Bowl trophy
270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central -  Scott Beard captain of Birchgrove with the Rose Bowl trophy 013
CDF_270419_PB_Taibach_v_Birchgrove_13.JPG · Huw Evans270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central - Scott Beard captain of Birchgrove with the Rose Bowl trophy
270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central -  Birchgrove RFC players celebrate winning the trophy 014
CDF_270419_PB_Taibach_v_Birchgrove_14.JPG · Huw Evans270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central - Birchgrove RFC players celebrate winning the trophy
270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central -  Birchgrove RFC players celebrate winning the trophy 015
CDF_270419_PB_Taibach_v_Birchgrove_15.JPG · Huw Evans270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central - Birchgrove RFC players celebrate winning the trophy
270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central -  Birchgrove RFC players celebrate winning the trophy 016
CDF_270419_PB_Taibach_v_Birchgrove_16.JPG · Huw Evans270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central - Birchgrove RFC players celebrate winning the trophy
270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central -  Birchgrove RFC players celebrate winning the trophy 017
CDF_270419_PB_Taibach_v_Birchgrove_17.JPG · Huw Evans270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central - Birchgrove RFC players celebrate winning the trophy
270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central -  Birchgrove RFC players celebrate winning the trophy 018
CDF_270419_PB_Taibach_v_Birchgrove_18.JPG · Huw Evans270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central - Birchgrove RFC players celebrate winning the trophy
270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central -  Birchgrove RFC players celebrate winning the trophy 019
CDF_270419_PB_Taibach_v_Birchgrove_19.JPG · Huw Evans270419 - Taibach RFC v Birchgrove RFC - Division 2 West Central - Birchgrove RFC players celebrate winning the trophy

More from around this date

Sat 27 AprRGC v Pontypridd Sat 27 AprCage Warriors 104 Sat 27 AprCobra RFC v Rhyl RFC Sat 27 AprMonmouth RFC v Ynysddu RFC Sat 27 AprMilford Haven v Pembroke Dock Quins Sat 27 AprPwllheli RFC v Llandudno RFC Sat 27 AprPenclawdd RFC v Pontyberem RFC Sat 27 AprCardiff Blues 23-26 Ospreys
Taibach RFC v Birchgrove RFC · 27 Apr 2019
Buy a print
© 2026 WelshRugbyPics A Huw Evans Agency site Welsh sport captured